Bug 191658 - graphics/luxrays is no longer needed
graphics/luxrays is no longer needed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: John Marino
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-06 12:15 UTC by Natacha Porté
Modified: 2014-07-11 21:13 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Natacha Porté 2014-07-06 12:15:48 UTC
LuxRays is a raytracing library, that belongs to LuxRender project.

I'm the maintainer of graphics/luxrays ports, but as far as I know LuxRender is the only application using LuxRays (and there is currently no existing or proposed port depending on graphics/luxrays). I filed the port only to help with updating graphics/luxrender.

Moreover since then the maintainer of graphics/luxrender updated it, with LuxRays bundled in.

On top of that, the point of LuxRays is mostly providing a ray-oriented high-level interface to OpenCL. OpenCL support in FreeBSD isn't stellar, so even if there was some obscure application needing graphics/luxrays, it wouldn't be that useful.

So I believe the best course of action is to remove graphics/luxrays and leave graphics/luxrender with its bundled copy.
Comment 1 John Marino freebsd_committer 2014-07-11 12:28:23 UTC
I will deprecate it for removal (say 15 august)
Comment 2 commit-hook freebsd_committer 2014-07-11 21:11:28 UTC
A commit references this bug:

Author: marino
Date: Fri Jul 11 21:11:13 UTC 2014
New revision: 361585
URL: http://svnweb.freebsd.org/changeset/ports/361585

Log:
  graphics/luxrays: Deprecate; luxrender now bundles it

  The only known purpose for luxrays is as a dependency for luxrender, but
  now luxrender comes with its own bundled version of luxrays.  In the
  opinion of the maintainer, luxrays is not useful for anything else and
  recommends that the port be retired (scheduled for 15 Aug 2014)

  PR:		191658
  Submitted by:	maintainer (Natacha Porte)
  Approved by:	portmgr (implicit, NOT_STAGED)

Changes:
  head/graphics/luxrays/Makefile